Net Collections Summary

This method will allow you to retrieve the values for the 'Cash Collected' summary that is displayed on the Fusebill Home Page.

The currency to be retrieved must be specified in the URL.


This method returns the numerical values shown in the screenshot below

834
Response
[  
   {  
      "range":"Today",
      "netCollected":127,
      "startDate":"2018-09-14T00:00:00",
      "endDate":"2018-09-14T00:00:00"
   },
   {  
      "range":"Yesterday",
      "netCollected":132.39,
      "startDate":"2018-09-13T00:00:00",
      "endDate":"2018-09-13T00:00:00"
   },
   {  
      "range":"Avg MTD",
      "netCollected":2353.41,
      "startDate":"2018-09-01T00:00:00",
      "endDate":"2018-09-13T00:00:00"
   },
   {  
      "range":"This Month",
      "netCollected":30721.36,
      "startDate":"2018-09-01T00:00:00",
      "endDate":"2018-09-14T00:00:00"
   },
   {  
      "range":"Last Month",
      "netCollected":1432.11,
      "startDate":"2018-08-01T00:00:00",
      "endDate":"2018-08-31T00:00:00"
   },
   {  
      "range":"Last MTD",
      "netCollected":658.6,
      "startDate":"2018-08-01T00:00:00",
      "endDate":"2018-08-14T00:00:00"
   },
   {  
      "range":"This Year",
      "netCollected":207282.64,
      "startDate":"2018-01-01T00:00:00",
      "endDate":"2018-09-14T00:00:00"
   },
   {  
      "range":"Last Year",
      "netCollected":272163.61,
      "startDate":"2017-01-01T00:00:00",
      "endDate":"2017-12-31T00:00:00"
   },
   {  
      "range":"Last YTD",
      "netCollected":213881.65,
      "startDate":"2017-01-01T00:00:00",
      "endDate":"2017-09-14T00:00:00"
   }
]
{
    "ErrorId": 0,
    "HttpStatusCode": 400,
    "Errors": [
        {
            "Key": "Api Error",
            "Value": "Currency RUB does not exist under your account or may have been entered incorrectly.  Please enter the ISO name for the currency you would like."
        }
    ]
}
Path Params
string
required

3 character ISO currency code. The currency to return the report summary in. This must be one of the currencies configured for your Stax Bill account.

Response
200
Language
Credentials
Header
LoadingLoading…